.ctaModule {
  opacity: 1;
  $parent: &;
  position: relative;
  z-index: 2;
  padding: 0;
  margin: 0;

  &__spacer {
    height: 1rem;

    @include breakpoint($medium) {
      height: 3rem;
    }
  }

  .theme-teal,
  .theme-strawberry,
  .theme-blackcurrant,
  .theme-clover {
    #{$parent}__phone a {
      color: inherit;
    }
  }

  &__header {
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    left: -50%;
    transform: translateY(-80%);
    padding-top: 5%;

    @include breakpoint($large) {
      width: 120%;
      left: -10%;
      transform: translateY(-90%);
      padding-top: 3%;
    }

    svg {
      width: 100%;
      height: auto;
      position: absolute;
      top: 0;
    }
  }

  &__body {
    padding: 2rem 0;
    position: relative;

    .container {
      max-width: $article-width-inner;
      position: relative;
    }

    img,
    .lazyload-placeholder {
      position: absolute;
      bottom: 0;
      right: $global-padding-mobile;
      width: 300px;
      height: auto;
      transform: translateY(100%);
      z-index: 1;

      @include breakpoint(500px) {
        width: 400px;
      }

      @include breakpoint($large) {
        right: 0;
        transform: translateY(80%);
        width: 100%;
      }
    }
  }

  &__footer {
    position: absolute;
    bottom: 1rem;
    width: 200%;
    left: -50%;
    transform: translateY(80%);
    padding-top: 5%;

    @include breakpoint($medium) {
      bottom: 3rem;
    }

    @include breakpoint($large) {
      transform: translateY(90%);
      width: 120%;
      left: -10%;
      padding-top: 3%;
    }

    svg {
      width: 100%;
      height: auto;
      position: absolute;
      top: 0;
    }
  }

  &.ctaModule--hasImage {
    #{$parent}__spacer {
      height: 8rem;

      @include breakpoint($medium) {
        height: 8rem;
      }

      @include breakpoint($large) {
        height: 8rem;
      }
    }

    #{$parent}__footer {
      bottom: 8rem;

      @include breakpoint($medium) {
        bottom: 8rem;
      }

      @include breakpoint($large) {
        bottom: 8rem;
      }
    }
  }

  &__heading {
    @include rhythm(38, 40);
    @include font-archer-light;
    width: 80%;
  }

  &__phone {
    position: relative;
    z-index: 3;
    &__number {
      display: block;
      @include rhythm(30, 26);
      margin-bottom: 0.4rem;
      @include font-archer-semibold;
      border: none;
    }
    &__text {
      display: block;
      @include rhythm(11, 14);
    }
  }
}

.theme-text-green {
  .ctaModule {
    &__phone {
      color: $text-color;
    }
  }
}
